button,
a[role="button"] {
    --color-button-background: #{$color-accent};
    --color-button-text: #{$color-text-base};

    @extend %button;

    &.secondary {
        @extend %button-secondary;
    }

    &.flat {
        @extend %button-flat;
    }
}

svg[role~="button"] {
    --color-button-background: #{$color-accent};
    --color-button-text: #{$color-text-base};

    padding: $space;
    border-radius: 3px;
    box-sizing: content-box;
    min-width: $space * 6;

    @extend %button;

    &.secondary {
        @extend %button-secondary;
    }

    &.flat {
        @extend %button-flat;
    }

    &.light {
        @extend %button-light;
    }
}

svg[role~="icon"] {
    fill: currentColor;
    width: $space * 6;
    height: $space * 6;
}

.button-group {
    background-color: #563F36;
    border-radius: $space * 10;
    display: flex;
    margin: $space * 7.5 0;

    & > * {
        flex-grow: 1;
    }
}
